Subject: Re: 答复: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

From: Janardhanan Pathangi Narasimhan <[email-masked]>
Date: Fri, 30 Mar 2012 15:28:37 +0530

Hi Mingui

I did not understand yor statement. When non CMT nodes are present all nodes (including CMT nodes) calculate trees as per the base standard. So every node is pretty much present.

In this situation and with active-active when a RBridge gets multi destination frame from CE devices and it does not have the virtual RBridge connected in any tree, it tunnels the frame to one of the RBridges that has the VRB connectivity, which then ingresses this frame.

Let me know if there is any issue with this

Thanks
Jana

________________________________
From: Mingui Zhang
To: Janardhanan Pathangi Narasimhan
Cc: [email-masked]
Sent: Fri Mar 30 15:12:59 2012
Subject: 答复: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Hi Jana,

When you say CMT disappears, I am assuming you mean that we will have to do tunneling for all multi-destination frames. Much the same as what we would have to do with MT when one non-MT RBridge exists.

ZMG> Not exactly. In CMT, even you do not need to communicate with non-CMT RBridges, the CMT cannot be used if non-CMT RBridges exist in the campus. Non-CMT RBridges even cannot appear as transit RBridges. As you know, the trees will not be calculated according to the affinity TLV by these RBridges.

Thanks,
Mingui

________________________________
发件人: Janardhanan Pathangi Narasimhan [[email-masked]]
发送时间: 2012年3月30日 17:36
到: Mingui Zhang
Cc: [email-masked]
主题: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Hi Mingui,

The tunneling is only for multi-destination frames and not for unicast frames. Hence not sure what you are referring to here as tunneling based on egress RBridge.

When you say CMT disappears, I am assuming you mean that we will have to do tunneling for all multi-destination frames. Much the same as what we would have to do with MT when one non-MT RBridge exists.

Thanks
Jana

From: Mingui Zhang [mailto:[email-masked]]
Sent: Friday, March 30, 2012 1:26 PM
To: Janardhanan Pathangi Narasimhan
Cc: [email-masked]
Subject: 答复: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Hi Jana,

The beauty of MTRA is that aggregated members can determine themselves whether to use tunneling or not according to the egress RBridges. For MT egress RBridges, they need not do tunneling.

As long as there is only one old RBridge in the campus, CMT does not work. In order to be backward compatible using tunneling, CMT just simply disappears totally. There is no CMT anymore.

Thanks,
Mingui
________________________________
发件人: Janardhanan Pathangi Narasimhan [[email-masked]]
发送时间: 2012年3月30日 15:48
到: Mingui Zhang
Cc: [email-masked]<mailto:[email-masked]>
主题: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
Hi Minghi,

With tunneling all approaches are backward compatible, including CMT.

Thanks
Jana

From: Mingui Zhang [mailto:[email-masked]]
Sent: Friday, March 30, 2012 1:14 PM
To: Janardhanan Pathangi Narasimhan
Cc: [email-masked]<mailto:[email-masked]>
Subject: 答复: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Hi Jana,

Have you forgotten the tunneling approach? In order to enable the communication between MTRA RBridges and non-MT RBridges, we can always resort to the tunneling approach to redirect the aggregated traffic to the only parent of RBv on the distribution tree of the base topology for delivery.

I did not mention tunneling since I like simple solutions. I think Section 4.2 of my draft did offer another simpler solution to allow us to enable the communication between MRTA RBridges and non-MT RBridges. I insist on this solution until operators tell me it is not workable.

So, of course MRTA is backward compatible.

Thanks,
Mingui
________________________________
发件人: Janardhanan Pathangi Narasimhan [[email-masked]]
发送时间: 2012年3月30日 15:30
到: Mingui Zhang
Cc: [email-masked]<mailto:[email-masked]>
主题: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
Hi Mingui

  When you realize active-active, you are asking for the active-active to be setup in a new topology and not the base topology. So these nodes which need to talk to the other nodes which are behind non-MT RBridges cannot do so any more.

  Specifically for MT to be backward compatible, you need all nodes which want to talk to each other part of the base topology. If you do that you cannot realize active-active. If you put the active-active in a new topology, than they can no longer talk to nodes on the base topology of non-MT RBridges.

So yes, MT-TRILL is backward compatible for base topology, but the realization of active-active with MT – TRILL is not backward compatible. That was the point I was bringing up.

Thanks
Jana

From: Mingui Zhang [mailto:[email-masked]]
Sent: Friday, March 30, 2012 12:15 PM
To: Janardhanan Pathangi Narasimhan
Cc: [email-masked]<mailto:[email-masked]>
Subject: 答复: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Hi Jana,

All RBridges in the campus are in the base topology. MT RBridges can well communicate with non-MT RBridges using the base topology.

I feel that you are arguing that MT-TRILL is not backward compatible. That is a incorrect judgement.

Thanks,
Mingui
________________________________
发件人: Janardhanan Pathangi Narasimhan [[email-masked]]
发送时间: 2012年3月30日 13:29
到: Mingui Zhang
Cc: [email-masked]<mailto:[email-masked]>
主题: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
Hi Mingui,

With MT approach, when two RBridges which had stations talking to each other and one of them is converted to MT, then the communication is broken. So it does not have backward computability.

Thanks
Jana

From: Mingui Zhang [mailto:[email-masked]]
Sent: Friday, March 30, 2012 12:27 AM
To: Janardhanan Pathangi Narasimhan
Cc: [email-masked]<mailto:[email-masked]>
Subject: 答复: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Hi Jana,

Let us assume that I have 20 RBridges in the campus which have end systems connected to it, and all of them need to be reachable. So if a few of them are converted to MTRA RBridges to support active-active, does it mean that RBridges which are not yet converted will not be able to anymore see the nodes connected to these virtual RBridges? Or am I missing something here?

ZMG> Although physical reachability can be all to all, it does not mean than the end systems will really communicate in an all to all manner. It is restricted by the VLAN configuration of the campus. Let me give you an example, RB1, RB2, RB3 and RB4 have an all to all connection. The access ports of RB1 and RB3 are configured as the VLAN for end systems of the Dept of Computer Science while the access ports of RB2 and RB4 are configured as another VLAN for end systems of the Dept of Literature. End systems from the same department can talk with each other. But end systems from two different departments will not talk with each other.

I am not sure if that is practical, and always possible may depend on the nodes connected and also what controls are available on them

ZMG> Think about it. When an operator have a LAG connected to a group of RBridges, he has to decide which port to plug the cables in. He need enter the console window to input the command line to configure parameters and start the LAG. He also need to configure the tuple used for hashing.

Thanks,
Mingui

________________________________
发件人: Janardhanan Pathangi Narasimhan [[email-masked]]
发送时间: 2012年3月30日 0:49
到: Mingui Zhang
Cc: [email-masked]<mailto:[email-masked]>
主题: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
Hi Mingui,

I am slightly confused.

For the intra-topology scenario, MT unaware RBridges will not appear in a specific topology other than the based topology. In other words, MTRA RBridges only talks only with MTRA RBridges. Since they all support MT, MTRA can work very well among them. In this scenario, MTRA RBridges and old RBridges co-exist in the same campus. Therefore, this is a solid example that MTRA can be deployed incrementally. Remember, CMT does not allow such kind of deployment.

Let us assume that I have 20 RBridges in the campus which have end systems connected to it, and all of them need to be reachable. So if a few of them are converted to MTRA RBridges to support active-active, does it mean that RBridges which are not yet converted will not be able to anymore see the nodes connected to these virtual RBridges? Or am I missing something here?

For the inter-topology scenario, we assume MTRA RBridges have to talk with MT unaware RBridges (This is a rigorous assumption.) If operators do want to realize such kind of connection, it is reasonable to assume they will accept the requirement that they need to configure their hashing function to remove the possible MAC flip-flop.

I am not sure if that is practical, and always possible may depend on the nodes connected and also what controls are available on them

Thanks
Jana

Thanks,
Mingui
________________________________
发件人: [email-masked]<mailto:[email-masked]> [[email-masked]] 代表 Mingui Zhang [[email-masked]]
发送时间: 2012年3月29日 18:50
到: Janardhanan Pathangi Narasimhan
Cc: [email-masked]<mailto:[email-masked]>
主题: 答复: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
Hi Jana,

>In section 4.1, could you please explain how the frame that is ingressed by RB1 through RBv001 is received at RBx?

Two scenarios are given in Section 4. Section 4.1 talks about the intra-topology scenario. Here, RBx is not in topology 1 so it is unreachable by RB1. It need not set up any forwarding path to RBx.

Thanks,
Mingui
________________________________
发件人: Janardhanan Pathangi Narasimhan [[email-masked]]
发送时间: 2012年3月28日 22:52
到: Mingui Zhang
Cc: [email-masked]<mailto:[email-masked]>
主题: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
Hi Mingui,

Section 4, does not give backward compatibility. For e.g. in section 4.2 multi destination frames will be ingressed with two different bridge ID causing MAC move, and having to impose restrictions on hashing functions at the external node may or may not be acceptable . I am not sure that this can be classified as backward compatible since it is not a full solution and can also cause frequent MAC flip flops etc.

In section 4.1, could you please explain how the frame that is ingressed by RB1 through RBv001 is received at RBx?

Thanks
Jana

From: Mingui Zhang [mailto:[email-masked]]
Sent: Wednesday, March 28, 2012 7:15 PM
To: Janardhanan Pathangi Narasimhan
Cc: [email-masked]<mailto:[email-masked]>
Subject: 答复: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Hi Jana,

I think I should answer your question. I am Mingui Zhang.
Please refer to the draft http://tools.ietf.org/html/draft-zhang-trill-multi-topo-rpfc-00. Section 4 is right for the topic you are interested. As a starter draft on the RPFC using Multi-topology. I will be happy to receive your comments.

Thanks,
Mingui
________________________________
发件人: Janardhanan Pathangi Narasimhan [[email-masked]]
发送时间: 2012年3月28日 19:14
到: Rohit Watve (rwatve); Mingui Zhang; Radia Perlman; Tissa Senevirathne (tsenevir)
Cc: [email-masked]<mailto:[email-masked]>
主题: RE: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft
Hi Zhai,

In the Multi-topology case I am not sure what is meant by incrementally deployable. Assuming that all the RBridges in the campus do not understand MT except for the RBridges which participate in the Virtual RBrodge, it looks like this will cause MAC flip flop on the other RBridges and other issues since all the other RBridges do not understand MT.

Could you please explain how MT can work in such scenarios?

Thanks
Jana

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Rohit Watve (rwatve)
Sent: Wednesday, March 28, 2012 3:53 PM
To: Mingui Zhang; Radia Perlman; Tissa Senevirathne (tsenevir)
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Hi Mingui,

5. Fast convergence on failure recovery. We know that resilience is one of the two main purposes of "aggregation". This dimension discusses whether the solution offers a way to do fast failure recovery when there is a failure of an aggregated RBridge or link.

PN: NO. The new distribution tree need to be recomputed.

CMT: NO. A overall re-configuration is necessary.

MTRA: YES.

CMT does not need reconfiguration. If one Rbridge advertizing affinity tlv goes down, the tree can be rooted at the other Egress Rbridge ID advertizing affinity tlv.

Also, consider adding following to the comparison table

Number of New TLVs (and resulting complexity)

PN: 3

CMT: 1

MTRA: multiple

Thanks
Rohit

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Mingui Zhang
Sent: Wednesday, March 28, 2012 2:10 AM
To: Radia Perlman; Tissa Senevirathne (tsenevir)
Cc: [email-masked]<mailto:[email-masked]>
Subject: 答复: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

Hi Radia,

It is a good idea to list the Pros and Cons of each solution. There are three candidate solutions for the same RPFC problem: PN, CMT and MTRA (Multi-Topology TRILL for RBridge Aggregation). Let me compare them in the following dimensions.

1. Whether the solution is incrementally deploy-able.

PN: YES.

CMT: NO.

MTRA: YES.

2. Use only existing silicons.

PN: NO. New silicon is necessary to support "tunneling" or else MAC addresses may flip-flop.

CMT: YES.

MTRA: Currently NO. But after multi-topology is supported by TRILL, it is a "YES".

3. Multi-cast traffic up from RBv can be load-balanced.

PN: NO.

CMT: YES.

MTRA: YES.

4. Multi-cast traffic down to RBv can be load-balanced.

PN: NO.

CMT: YES.

MTRA: YES.

5. Fast convergence on failure recovery. We know that resilience is one of the two main purposes of "aggregation". This dimension discusses whether the solution offers a way to do fast failure recovery when there is a failure of an aggregated RBridge or link.

PN: NO. The new distribution tree need to be recomputed.

CMT: NO. A overall re-configuration is necessary.

MTRA: YES.

The following table lists all above comparisons (A jpg version is also attached just in case.). MTRA is always YES. I think it deserves our follow-up.

+--------+------------+-----------+----------+------------+-------------+

|Solution|Incre-Deploy|Old Silicon|LB Upwards|LB Downwards|Fast Converge|

+--------+------------+-----------+----------+------------+-------------|

|PN      |YES         |NO         |NO        |NO          |NO           |

+--------+------------+-----------+----------+------------+-------------|

|CMT     |NO          |YES        |YES       |YES         |NO           |

+--------+------------+-----------+----------+------------+-------------|

|MTRA    |YES         |YES(will)  |YES       |YES         |YES          |

+--------+------------+-----------+----------+------------+-------------+

Thanks,

Mingui

发件人: [email-masked]<mailto:[email-masked]> [[email-masked]] 代表 Radia Perlman [[email-masked]]

发送时间: 2012年3月28日 12:52

到: Tissa Senevirathne (tsenevir)

Cc: [email-masked]<mailto:[email-masked]>

主题: Re: [rbridge] Call for draft-tissa-trill-cmt-00 to WG draft

It is my understanding that

a) CMT does require changing all the RBs in the campus

b) CMT requires there be at least as many trees as there are active/active RBs on any link

Of course, no solution is ideal.  It might have been nice to write up all the proposed solutions to this and pros/cons. Maybe it's

still worth doing.

So from memory...other proposals for allowing R1, R2, and R3 to be active/active/active on a link:

First note: regardless of whether their port to the link is in a tree, unicast works, and they can use the pseudonode

nickname when encapsulating unicast.

Also, if Ri's port to the link is in at least one tree, Ri can use the pseudonode nickname for that link when encapsulating

multidestination frames for ingress, and the RPF check will work without any problems.

However, if Ri's port to the link is not in any of the trees,

here were some of the proposed solutions.  So, let's say that R1 and R2's port to the shared link is in at least one tree, and R3's

port to the link is not in any of the trees, and R3 needs to encapsulate a multidestination frame:

1) R3 could tunnel it to one of {R1, R2}, and let them inject the packet (with pseudonode nickname) into the campus.

Pro: Doesn't affect any RBs other than the ones on the link; backwards compatible.  Con: more hops, might be difficult

in some implementations for R3 to forward by tunneling, might be difficult for R2 to accept a tunneled packet.

2) R3 could use its own nickname instead of the pseudonode nickname in this case

Pro: Doesn't affect any RBs other than the ones on the link; backwards compatible.  Con: MAC learning in distant RBs will have

frequent learning changes of the source MAC S between being on the pseudonode nickname (whenever S sends unicast,

or multicast through R1 or R2), or being on R3 (when R3 has to encapsulate a multidestination frame from S).

------

There might have been some other proposals, but they wound up not to work.

Personally, I don't love the CMT thing because of the two disadvantages I mentioned above, but I can live with it.

Radia

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge